Package com.sas.lsaf.security.group

## Class GroupExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.security.group.GroupException
        - - com.sas.lsaf.security.group.GroupExistsException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class GroupExistsException
      extends GroupException

  Thrown when an attempt is made to create a group that exists with the same name in the same context.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupExistsException​(java.lang.String contextId, java.lang.String name, java.lang.String message)` | Constructs a `GroupExistsException` with the specified context identifier, name and detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContextId()` | Gets the context identifier of the group.
    `java.lang.String` | `getName()` | Gets the name of the group.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupExistsException

          public GroupExistsException​(java.lang.String contextId,
                                      java.lang.String name,
                                      java.lang.String message)

      Constructs a `GroupExistsException` with the specified context identifier, name and detail message.
      Parameters:
        `contextId` - the context identifier of the group.
        `name` - the name of the group.
        `message` - the detail message (which is saved for later retrieval by the `AbstractCheckedException.getMessage()` method).

  - ### Method Detail

    - #### getContextId

          public java.lang.String getContextId()

      Gets the context identifier of the group.
      Returns:
        The context identifier of the group.

    - #### getName

          public java.lang.String getName()

      Gets the name of the group.
      Returns:
        The name of the group.